Summary:	Extra tools for GDP members
Summary(pl.UTF-8):	Dodatkowe narzędzia dla członków GDP
Name:		gnome-doc-tools
Version:	1.0
Release:	8
License:	GPL
Group:		Applications/Text
# dead
#Source0:	http://people.redhat.com/dcm/%{name}-%{version}.tar.gz
#URL:		http://people.redhat.com/dcm/software.html
# this file differs with the one from cvs.pld.org.pl
#Source0:	ftp://freeware.sgi.com/source/gnome-doc-tools/gnome-doc-tools-1.0.tar.gz
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	2d8dea2fbbc93117f13d09b8a4734563
URL:		http://freeware.sgi.com/cd-2/relnotes/gnome-doc-tools.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sgml-common
Requires:	docbook-dtd30-sgml
Requires:	docbook-dtd31-sgml
Prereq:		sgml-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docbook-gnome-dtd10-sgml

%description
The GNOME Documentation Project has a few tools, scripts and files
necessary for creating documentation for GNOME.

%description -l pl.UTF-8
GNOME Documentation Project ma kilka narzędzi, skryptów i plików
potrzebnych do tworzenia dokumentacji dla GNOME.

%prep
%setup -q

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
perl -pi -e "s@%{_libdir}/sgml/stylesheets/nwalsh-modular/@%{_datadir}/sgml/docbook/dsssl-stylesheets/@g" *.dsl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/gnome-customization-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install *.dtd *.cat *.dsl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/gnome-customization-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-4
if ! grep -q /etc/sgml/gnome-customization-%{version}-%{release}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%pre
if [ -L %{_datadir}/sgml/docbook/dsssl-stylesheets ] ; then
	rm -rf %{_datadir}/sgml/docbook/dsssl-stylesheets
fi

%post
if ! grep -q /etc/sgml/gnome-customization-%{version}-%{release}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%postun
if [ "$1" = 0 ]; then
	/usr/bin/install-catalog --remove /etc/sgml/gnome-customization-%{version}-%{release}.cat %{_datadir}/sgml/docbook/gnome-customization-%{version}/png-support.cat > /dev/null
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/png2eps
%attr(755,root,root) %{_bindir}/dbnochunks
%{_mandir}/*/*
%{_datadir}/sgml/docbook/gnome-customization-%{version}
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-doc-tools.git;a=log;h=master

* Mon Jul 01 2013 Marcin Krol <hawk@tld-linux.org> 535c905
- release 8 (by relup.sh)

* Sun Aug 05 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> a42ab92
- rel.7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a38fdc7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3e6a271
- converted to UTF-8

* Sat Apr 30 2005 kosmo <kosmo@pld-linux.org> a950bce
- added BR: sgml-common

* Sun Apr 17 2005 Mariusz Mazur <mmazur@pld-linux.org> 6b40865
- rel 6 for th

* Sun Mar 21 2004 twittner <twittner@pld-linux.org> 9753a52
- fixed md5 formatting

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 9077840
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3b8ab3f
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Jan 10 2003 radek <radek@pld-linux.org> f8d224b
- Source0 from FTP differs with Source0 from CVS; commented out the
  URL and reverted the previous change... once again

* Fri Jan 10 2003 radek <radek@pld-linux.org> 721f0c5
- reverted last change (look at `tar tzf Source0`|head -n 1)

* Fri Jan 10 2003 trojan <trojan@pld-linux.org> 04bed90
- fixed %%prep

* Thu Jan 02 2003 juandon <witekfl@pld-linux.org> d6f2878
- fixed setup

* Wed Dec 18 2002 Jakub Bogusz <qboosh@pld-linux.org> 2bafb10
- changed URLs to some working now

* Tue Oct 22 2002 Michal Moskal <michal@moskal.me> 992165d
- release 5

* Thu Oct 03 2002 kloczek <kloczek@pld-linux.org> b9cabba
- fix in %triggerpostun.

* Thu Oct 03 2002 kloczek <kloczek@pld-linux.org> f3ea9af
- release 4,
- fixes %pre*/%posti* scripts and added %triggerpostun for prevent unregister
  unconditionaly cat files (depending on is this script is runed on uninstall
  or upgrade to new version).

* Wed May 29 2002 Artur Frysiak <artur@frysiak.net> cc806b4
- fix catalog {de}registartion
- rel 3

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> 54d82d1
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> f3cfc6d
- fixed a small typo

